AnsweredAssumed Answered

WebService 2.1 vers 3.2

Question asked by ima_alfresco on Feb 8, 2010
Bonjour,

Nous sommes en train de migrer d'une version 2.1 à 3.2. Nous fesons des tests de nos dev sans encore avoir migrer.

Nous utilisons le web services http://server:8080/alfresco/api/RepositoryService, pour récupérer une liste de documents nous renvoyons ceci :

<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"><soapenv:Header><wsse:Security xmlns:wsse="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-secext-1.0.xsd" soapenv:mustUnderstand="1"><wsu:Timestamp xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"><wsu:Created>2010-02-05T10:39:04.277Z</wsu:Created><wsu:Expires>2010-02-05T11:09:04.277Z</wsu:Expires></wsu:Timestamp><wsse:UsernameToken><wsse:Username>alfrescoadmin</wsse:Username><wsse:Password Type="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-username-token-profile-1.0#PasswordText">TICKET_9678105903640827796c193b7e14813322fb90a4</wsse:Password></wsse:UsernameToken></wsse:Security></soapenv:Header>
<soapenv:Body><query xmlns="http://www.alfresco.org/ws/service/repository/1.0"><store><scheme>workspace</scheme><address>SpacesStore</address></store><query><language>lucene</language><statement>(PATH:"/app:company_home/cm:Espace_x0020_IJVP/cm:Espace_x0020_de_x0020_Publication/cm:Fiche//*") AND (PATH:"/cm:categoryRoot/cm:generalclassifiable/cm:Categories_x0020_ju/cm:_x0031_00_x0020_HABITATION/cm:_x0031_10_x0020_PROPRIETE_/cm:_x0031_11_x0020_Acte_/cm:_x0031_11A_x0020_Permis//*") AND ( TYPE:"{http://www.alfresco.org/model/content/1.0}content" ) </statement></query><includeMetaData>true</includeMetaData></query></soapenv:Body></soapenv:Envelope>

En 2.1 toutes les metadatas étaient renvoyées, en 3.2 elles ne sont plus là, bien que l'option
 <includeMetaData>true</includeMetaData>
soient à true.

Nous procédons ainsi car notre CRM ne supporte pas JAVA version 1.5 et supérieur, sinon on aurais pris directement les classes.

Merci a vous !

Outcomes